crwimage.hpp File Reference

Class CrwImage to access Canon CRW images.
References:
The Canon RAW (CRW) File Format by Phil Harvey. More...

`#include "exiv2lib_export.h"`
`#include "image.hpp"`

Go to the source code of this file.

## Classes

class | Exiv2::CrwImage
| Class to access raw Canon CRW images. Only Exif metadata and a comment are supported. CRW format does not contain IPTC metadata. More...
class | Exiv2::CrwParser

## Namespaces

| Exiv2
| Provides classes and functions to encode and decode Exif and Iptc data. The libexiv2 API consists of the objects of this namespace.
| Exiv2::ImageType
| Supported image formats.

## Functions

EXIV2API Image::AutoPtr | Exiv2::newCrwInstance (BasicIo::AutoPtr io, bool create)
| Create a new CrwImage instance and return an auto-pointer to it. Caller owns the returned object and the auto-pointer ensures that it will be deleted.
EXIV2API bool | Exiv2::isCrwType (BasicIo &iIo, bool advance)
| Check if the file iIo is a CRW image.

## Variables

const int | Exiv2::ImageType::crw = 3
| CRW image type (see class CrwImage)

## Detailed Description

Class CrwImage to access Canon CRW images.
References:
The Canon RAW (CRW) File Format by Phil Harvey.

Author
  Andreas Huggel (ahu) ahuggel@gmx.net

Date
  28-Aug-05, ahu: created